org.wildfly.swarm.undertow.descriptors

## Class WebXmlAsset

- java.lang.Object
- - org.wildfly.swarm.undertow.descriptors.WebXmlAsset

-     public class WebXmlAsset
      extends Object

  Author:
    Ken Finnigan

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebXmlAsset()`
    `WebXmlAsset(InputStream fromStream)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(String listener)`
    `Servlet` | `addServlet(String servletName, String servletClass)`
    `List<SecurityConstraint>` | `allConstraints()`
    `List<String>` | `allListenersClasses()`
    `String` | `getContextParam(String name)`
    `String` | `getLoginRealm(String authMethod)`
    `String` | `getName()`
    `Servlet` | `getServlet(String servletClass)`
    `List<String>` | `getServletMapping(String servletName)`
    `InputStream` | `openStream()`
    `SecurityConstraint` | `protect()`
    `SecurityConstraint` | `protect(String urlPattern)`
    `void` | `setContextParam(String name, String... values)`
    `void` | `setFormLoginConfig(String realmName, String loginPage, String errorPage)`
    `void` | `setLoginConfig(String authMethod, String realmName)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WebXmlAsset

          public WebXmlAsset()

    - #### WebXmlAsset

          public WebXmlAsset(InputStream fromStream)

  - ### Method Detail

    - #### setContextParam

          public void setContextParam(String name,
                                      String... values)

    - #### getContextParam

          public String getContextParam(String name)

    - #### addServlet

          public Servlet addServlet(String servletName,
                                    String servletClass)

    - #### getServlet

          public Servlet getServlet(String servletClass)

    - #### setLoginConfig

          public void setLoginConfig(String authMethod,
                                     String realmName)

    - #### setFormLoginConfig

          public void setFormLoginConfig(String realmName,
                                         String loginPage,
                                         String errorPage)

    - #### getLoginRealm

          public String getLoginRealm(String authMethod)

    - #### addListener

          public void addListener(String listener)

    - #### allListenersClasses

          public List<String> allListenersClasses()

    - #### protect

          public SecurityConstraint protect()

    - #### protect

          public SecurityConstraint protect(String urlPattern)

    - #### allConstraints

          public List<SecurityConstraint> allConstraints()

    - #### getServletMapping

          public List<String> getServletMapping(String servletName)

      Parameters:
        `servletName` -
      Returns:
        the list of `url-pattern` elements or an empty list if no mapping is present

    - #### openStream

          public InputStream openStream()

    - #### getName

          public String getName()

Copyright © 2017 JBoss by Red Hat. All rights reserved.